Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problem running cacti php-5.4/5.5 + cacti-0.8.7i
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
5thd.jkcwong
n00b
n00b


Joined: 21 Jun 2012
Posts: 20

PostPosted: Tue Nov 20, 2012 6:42 am    Post subject: Problem running cacti php-5.4/5.5 + cacti-0.8.7i Reply with quote

hi all,

need some help with cacti... after emerging apache, mysql, php, and cacti - all emerged ok. completed the initial setup, and got this:

Code:
Fatal error: Call to undefined function session_unregister() in /var/www/localhost/htdocs/cacti/lib/functions.php on line 408


tried both php-5.4 and php-5.5, same error...

any idea please? much appreciated! thanks.
Back to top
View user's profile Send private message
TribesTom
n00b
n00b


Joined: 17 Jul 2006
Posts: 13

PostPosted: Thu Nov 22, 2012 2:48 pm    Post subject: Same here Reply with quote

Hello


I have the same problem since update of php from 5.3 to 5.4.

It will not help you but we are one the same boat.


Edit :

My solution : I have installed cacti-0.8.8a using layman and heroxbd overlay.

Good luck
Back to top
View user's profile Send private message
Killerchronic
Tux's lil' helper
Tux's lil' helper


Joined: 24 Apr 2007
Posts: 87
Location: UK

PostPosted: Tue May 21, 2013 2:15 pm    Post subject: Reply with quote

Code:
session_unregister()

This was removed between php 5.3 and 5.4 thats why it suddenly appeared.

Its been 6 months, why has the default ebuild not been updated to use the later 0.8.8 version yet where this is fixed?


Thanks for the heads up on the overlay i didn't think about that, was expecting to have to use the source.

Edit: Ok so i did some more digging, April 27th 2013 the ebuild for 0.8.8a was created and put into portage, however its still masked. Being that i would prefer to use default portage compared to an overlay.

Code:
ACCEPT_KEYWORDS="~amd64" emerge -av cacti

Will install the 0.8.8a version, use ~x86 if you are not using 64bit and if you're using anything else you will already know what to change it to.
(i used commandline accept keywords because i'll forget if i add it to the file and don't wish to always be on the bleeding edge with cacti but for now its needed.)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum